System requirements

The TUCaN web portal is currently backed by the CampusNet 2019 SP 4 Classic version.

To work with TUCaN, all you need is internet access and your personal access data (TU-ID).

We recommend you to use the following browsers:

  • Google Chrome 12 or better
  • Internet Explorer 8 or better
  • Mozilla Firefox 6 or better
  • Opera 10 or better
  • Safari 6 or better